<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.requestUnitInternal.pre">Pre Request Note</span>
            </h5>
            <p-dataTable
                [value]="preRequestUnitInternals"
                [editable]="false"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idRequirement"
                (onLazyLoad)="loadDataLazy($event)">
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.requestUnitInternal.date'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dtCreated | date : 'dd-MM-yyyy HH:mm:ss' }}
                    </ng-template>
                </p-column>
                <p-column header="No VSO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.requirementNumber}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.requestUnitInternal.productName'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.productName}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.requestUnitInternal.color'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.colorName}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.requestUnitInternal.salesName'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.salesName}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.requestUnitInternal.korsalName'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.korsalName}}
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>